Bug 591489 - Can not use DUN with bluetooth phone
Summary: Can not use DUN with bluetooth phone
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 11:54 UTC by Brian C. Huffman
Modified: 2011-06-27 16:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:17:54 UTC
Type: ---


Attachments (Terms of Use)

Description Brian C. Huffman 2010-05-12 11:54:28 UTC
Description of problem:
Using bluetooth, pairing with droid appears to work.  When checking the box to use the device to connect to the internet, it fails.  I'm using PDANet v2.41

Version-Release number of selected component (if applicable):
F13-RC2 LiveCD:
kernel-2.6.33.3-85.fc13.i686
bluez-4.63-3.fc13.i686



How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:May 12 11:47:13 localhost bluetoothd[1572]: Discovery session 0x14df618 with :1.58 activated
May 12 11:47:20 localhost bluetoothd[1572]: Stopping discovery
May 12 11:47:23 localhost bluetoothd[1572]: link_key_request (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 11:47:23 localhost bluetoothd[1572]: io_capa_request (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 11:47:23 localhost bluetoothd[1572]: io_capa_response (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 11:47:31 localhost bluetoothd[1572]: link_key_notify (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0, type=5)
May 12 11:47:31 localhost bluetoothd[1572]: probe failed with driver input-headset for device /org/bluez/1568/hci0/dev_C0_E4_22_25_1E_F0
May 12 11:47:35 localhost modem-manager: (rfcomm0) opening serial device...
May 12 11:47:47 localhost modem-manager: (rfcomm0) closing serial device...
May 12 11:47:47 localhost modem-manager: (rfcomm0) opening serial device...
May 12 11:47:53 localhost modem-manager: (rfcomm0) closing serial device...
May 12 11:47:53 localhost kernel: usb 5-1: USB disconnect, address 2
May 12 11:47:53 localhost kernel: btusb_intr_complete: hci0 urb f2f43080 failed to resubmit (19)
May 12 11:47:53 localhost kernel: btusb_bulk_complete: hci0 urb f2f43b80 failed to resubmit (19)
May 12 11:47:53 localhost bluetoothd[1572]: HCI dev 0 down
May 12 11:47:53 localhost bluetoothd[1572]: Adapter /org/bluez/1568/hci0 has been disabled
May 12 11:47:53 localhost bluetoothd[1572]: Stopping security manager 0
May 12 11:47:53 localhost kernel: btusb_bulk_complete: hci0 urb f2f43380 failed to resubmit (19)
May 12 11:47:53 localhost kernel: btusb_send_frame: hci0 urb f0f3d500 submission failed
May 12 11:47:53 localhost dbus-daemon: [system] Rejected send message, 1 matched rules; type="method_return", sender=":1.10" (uid=0 pid=1568 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.58" (uid=500 pid=2301 comm="bluetooth-wizard))
May 12 11:47:54 localhost bluetoothd[1572]: HCI dev 0 unregistered
May 12 11:47:54 localhost bluetoothd[1572]: Unregister path: /org/bluez/1568/hci0
May 12 11:47:54 localhost NetworkManager[1440]: <info> BT device C0:E4:22:25:1E:F0 removed
May 12 11:47:54 localhost kernel: usb 5-1: new full speed USB device using uhci_hcd and address 3
May 12 11:47:55 localhost kernel: usb 5-1: New USB device found, idVendor=0a12, idProduct=0001
May 12 11:47:55 localhost kernel: usb 5-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
May 12 11:47:55 localhost bluetoothd[1572]: HCI dev 0 registered
May 12 11:47:55 localhost bluetoothd[1572]: HCI dev 0 up
May 12 11:47:55 localhost bluetoothd[1572]: Starting security manager 0
May 12 11:47:55 localhost bluetoothd[1572]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
May 12 11:47:55 localhost bluetoothd[1572]: probe failed with driver input-headset for device /org/bluez/1568/hci0/dev_C0_E4_22_25_1E_F0
May 12 11:47:55 localhost bluetoothd[1572]: Adapter /org/bluez/1568/hci0 has been enabled
May 12 11:47:57 localhost dbus-daemon: [system] Rejected send message, 2 matched rules; type="error", sender=":1.48" (uid=500 pid=2028 comm="bluetooth-applet) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.10" (uid=0 pid=1568 comm="/usr/sbin/bluetoothd))

Comment 1 Bastien Nocera 2010-05-12 12:51:36 UTC
(In reply to comment #0)
> Description of problem:
> Using bluetooth, pairing with droid appears to work.  When checking the box to
> use the device to connect to the internet, it fails.  I'm using PDANet v2.41

What fails? In any case, that's likely a bug in NetworkManager, not bluez.

Comment 2 Brian C. Huffman 2010-05-12 13:27:34 UTC
Take a look at the Additional information above.  That is the /var/log/messages output during the duration of the attempt.

I'm suspicious of these:
May 12 11:47:53 localhost kernel: usb 5-1: USB disconnect, address 2
May 12 11:47:53 localhost kernel: btusb_intr_complete: hci0 urb f2f43080 failed
to resubmit (19)
May 12 11:47:53 localhost kernel: btusb_bulk_complete: hci0 urb f2f43b80 failed
to resubmit (19)
May 12 11:47:53 localhost bluetoothd[1572]: HCI dev 0 down

Maybe this is a kernel issue.  At any rate, I figured it's somewhere between kernel and bluez.  It doesn't really look like Networkmanager even gets an attempt to try.

Comment 3 Bastien Nocera 2010-05-12 13:33:53 UTC
That means your Bluetooth adapter is of bad quality, and that the kernel driver can't cope with it. Reassigning to the kernel.

Comment 4 Brian C. Huffman 2010-06-05 14:08:32 UTC
Could I get an update here?  This still does not work in F13

Comment 5 Brian C. Huffman 2010-06-13 12:11:55 UTC
As suggested by Alan Cox on the user list, moving this to Network Manager.  I *can* use the bluetooth in other ways - transferring files to the droid.

Comment 6 Bastien Nocera 2010-06-14 10:25:18 UTC
(In reply to comment #5)
> As suggested by Alan Cox on the user list, moving this to Network Manager.  I
> *can* use the bluetooth in other ways - transferring files to the droid.    

Again, that's nothing to do with NetworkManager. If the kernel barfs, then it's the kernel's problems.

Comment 7 Bug Zapper 2011-06-02 14:09:16 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 16:17:54 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.